From 528200fa16e1a25e621f9fec81a95a48b1b4d2b0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 05:56:01 +0000
Subject: [PATCH 1138/2232] Merge two functions picking includes and builtins


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index a0bafc2..69f0144 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -25,8 +25,7 @@ pub(super) fn gen<'a>(apis: &[Api], types: &'a Types, opt: &Opt, header: bool) -
         }
     }
 
-    write_includes(out);
-    write_include_cxxbridge(out, apis);
+    pick_includes_and_builtins(out, apis);
     write_builtins(out);
 
     out.next_section();
@@ -149,7 +148,7 @@ fn gen_namespace_contents(out: &mut OutFile, ns_entries: &NamespaceEntries, opt:
     }
 }
 
-fn write_includes(out: &mut OutFile) {
+fn pick_includes_and_builtins(out: &mut OutFile, apis: &[Api]) {
     for ty in out.types {
         match ty {
             Type::Ident(ident) => match Atom::from(&ident.rust) {
@@ -166,9 +165,7 @@ fn write_includes(out: &mut OutFile) {
             _ => {}
         }
     }
-}
 
-fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api]) {
     for ty in out.types {
         match ty {
             Type::RustBox(_) => {

